EDIT - feature request #7621

registration search also covers typified names
08/03/2018 02:42 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 5.8

Severity: normal

Description

The typified names associated with the typedesignations are not covered by this search. Maybe we need to extend the search so
that the typified names are also included? Maybe as optional search mode or should this be the default?

We need to extend the search so that typified names are also covered by the search!

Related issues:

Related to EDIT - feature request #8330: RegistrationDao search method Closed
Related to EDIT - bug #7885: registration search by name finds also typificat... Worksforme
Copied from EDIT - bug #7615: Registrations not searchable in the PhycoBank p... Closed

Associated revisions

Revision 9¢ccf877c¢ - 07/01/2019 03:28 PM - Andreas Kohlbecker

ref #8330 dao method for filtered registration search implemented: reprocduces existing functionality plus extended name search ref #7885

Revision bae3fd55 - 07/01/2019 04:31 PM - Andreas Kohlbecker

ref #7885 tests for registration search by typified name and implementing order by

Revision fbe02574 - 07/01/2019 05:07 PM - Andreas Kohlbecker
ref #8330 ref #7885 removing confusing typo in test data

History

#1 - 08/03/2018 02:42 PM - Andreas Kohlbecker
- Copied from bug #7615: Registrations not searchable in the PhycoBank portal added

#2 - 08/17/2018 03:55 PM - Andreas Kohlbecker

- Target version changed from Release 5.2 to Release 5.3

#3 - 09/11/2018 05:05 PM - Andreas Kohlbecker

- Target version changed from Release 5.3 to Release 5.4

#4 - 10/23/2018 02:03 PM - Andreas Kohlbecker
- Target version changed from Release 5.4 to Release 5.5

- % Done changed from 100 to 0

#5 - 10/23/2018 02:03 PM - Andreas Kohlbecker
- Tags set to phycobank

#6 - 01/16/2019 08:23 AM - Andreas Kohlbecker

- Target version changed from Release 5.5 to Release 5.6

#7 - 04/11/2019 05:37 PM - Andreas Kohlbecker

- Target version changed from Release 5.6 to Release 5.7
#8 - 05/03/2019 03:00 PM - Andreas Miiller

- Target version changed from Release 5.7 to Release 5.8

#9 - 06/07/2019 05:23 PM - Andreas Kohlbecker

- Related to feature request #8330: RegistrationDao search method added

#10 - 07/01/2019 06:25 PM - Andreas Kohlbecker

- Related to bug #7885: registration search by name finds also typifications for this name added

#11 - 07/02/2019 03:15 PM - Andreas Kohlbecker
- Status changed from New to Closed

- % Done changed from 0 to 100

fully solved
